zenilib: zenilib/jni/external/freetype2/src/pshinter/pshrec.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
pshrec.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_POSTSCRIPT_HINTS_H>`
`#include "pshglob.h"`

Go to the source code of this file.

## Classes

struct | PS_DimensionRec_
struct | PS_Hint_TableRec_
struct | PS_HintRec_
struct | PS_HintsRec_
struct | PS_Mask_TableRec_
struct | PS_MaskRec_

## Macros

#define | ps_hint_is_active(x) ( (x)->flags & PS_HINT_FLAG_ACTIVE )
#define | ps_hint_is_bottom(x) ( (x)->flags & PS_HINT_FLAG_BOTTOM )
#define | ps_hint_is_ghost(x) ( (x)->flags & PS_HINT_FLAG_GHOST )

## Typedefs

typedef struct PS_DimensionRec_ * | PS_Dimension
typedef struct PS_DimensionRec_ | PS_DimensionRec
typedef typedefFT_BEGIN_HEADER struct PS_HintRec_ * | PS_Hint
typedef enum PS_Hint_Flags_ | PS_Hint_Flags
typedef struct PS_Hint_TableRec_ * | PS_Hint_Table
typedef struct PS_Hint_TableRec_ | PS_Hint_TableRec
typedef enum PS_Hint_Type_ | PS_Hint_Type
typedef struct PS_HintRec_ | PS_HintRec
typedef struct PS_HintsRec_ * | PS_Hints
typedef struct PS_HintsRec_ | PS_HintsRec
typedef struct PS_MaskRec_ * | PS_Mask
typedef struct PS_Mask_TableRec_ * | PS_Mask_Table
typedef struct PS_Mask_TableRec_ | PS_Mask_TableRec
typedef struct PS_MaskRec_ | PS_MaskRec

## Enumerations

enum | PS_Hint_Flags_ { PS_HINT_FLAG_GHOST = 1, PS_HINT_FLAG_BOTTOM = 2 }
enum | PS_Hint_Type_ { PS_HINT_TYPE_1 = 1, PS_HINT_TYPE_2 = 2 }

## Functions

| ps_hints_done (PS_Hints hints)
| ps_hints_init (PS_Hints hints, FT_Memory memory)
| t1_hints_funcs_init (T1_Hints_FuncsRec *funcs)
| t2_hints_funcs_init (T2_Hints_FuncsRec *funcs)

## Macro Definition Documentation

#define ps_hint_is_active | ( |  | x | ) | ( (x)->flags & PS_HINT_FLAG_ACTIVE )

Definition at line 82 of file pshrec.h.

#define ps_hint_is_bottom | ( |  | x | ) | ( (x)->flags & PS_HINT_FLAG_BOTTOM )

Definition at line 84 of file pshrec.h.

#define ps_hint_is_ghost | ( |  | x | ) | ( (x)->flags & PS_HINT_FLAG_GHOST )

Definition at line 83 of file pshrec.h.

## Typedef Documentation

typedef struct PS_DimensionRec_ * PS_Dimension

typedef struct PS_DimensionRec_ PS_DimensionRec

typedef typedefFT_BEGIN_HEADER struct PS_HintRec_* PS_Hint

Definition at line 52 of file pshrec.h.

typedef enum PS_Hint_Flags_ PS_Hint_Flags

typedef struct PS_Hint_TableRec_ * PS_Hint_Table

typedef struct PS_Hint_TableRec_ PS_Hint_TableRec

typedef enum PS_Hint_Type_ PS_Hint_Type

typedef struct PS_HintRec_ PS_HintRec

typedef struct PS_HintsRec_ * PS_Hints

typedef struct PS_HintsRec_ PS_HintsRec

typedef struct PS_MaskRec_ * PS_Mask

typedef struct PS_Mask_TableRec_ * PS_Mask_Table

typedef struct PS_Mask_TableRec_ PS_Mask_TableRec

typedef struct PS_MaskRec_ PS_MaskRec

## Enumeration Type Documentation

enum PS_Hint_Flags_

Enumerator
PS_HINT_FLAG_GHOST |
PS_HINT_FLAG_BOTTOM |

Definition at line 64 of file pshrec.h.

enum PS_Hint_Type_

Enumerator
PS_HINT_TYPE_1 |
PS_HINT_TYPE_2 |

Definition at line 55 of file pshrec.h.

## Function Documentation

ps_hints_done | ( | PS_Hints | hints | ) |

Definition at line 786 of file pshrec.c.

References ps_dimension_done().

Referenced by ps_hinter_done().

ps_hints_init | ( | PS_Hints | hints,
|  | FT_Memory | memory
| ) |  |

Definition at line 800 of file pshrec.c.

References FT_MEM_ZERO.

Referenced by ps_hinter_init().

t1_hints_funcs_init | ( | T1_Hints_FuncsRec * | funcs | ) |

Definition at line 1145 of file pshrec.c.

References FT_MEM_ZERO, ps_hints_apply(), ps_hints_close(), ps_hints_t1reset(), ps_hints_t1stem3(), t1_hints_open(), and t1_hints_stem().

Referenced by ps_hinter_init().

t2_hints_funcs_init | ( | T2_Hints_FuncsRec * | funcs | ) |

Definition at line 1211 of file pshrec.c.

References FT_MEM_ZERO, ps_hints_apply(), ps_hints_close(), ps_hints_t2counter(), ps_hints_t2mask(), t2_hints_open(), and t2_hints_stems().

Referenced by ps_hinter_init().